dnl $Id: config.m4,v 1.1 2002/12/10 10:03:23 tal Exp $
dnl config.m4 for extension netools

dnl Comments in this file start with the string 'dnl'.
dnl Remove where necessary. This file will not work
dnl without editing.

dnl If your extension references something external, use with:

PHP_ARG_WITH(netools, for netools support,
[  --with-netools[=DIR]             Include netools support])

dnl Otherwise use enable:

dnl PHP_ARG_ENABLE(netools, whether to enable netools support,
dnl Make sure that the comment is aligned:
dnl [  --enable-netools           Enable netools support])

if test "$PHP_NETOOLS" != "no"; then
  dnl Write more examples of tests here...

  dnl # --with-netools -> check with-path
  SEARCH_PATH="/usr/local /usr" 
  SEARCH_FOR="/include/lcrzo.h"
  if test -r $PHP_NETOOLS/$SEARCH_FOR; then 
     LCRZO_DIR=$PHP_NETOOLS
  else
 	 AC_MSG_CHECKING([for lcrzo files in default path])
    for i in $SEARCH_PATH ; do
      if test -r $i/$SEARCH_FOR; then
        LCRZO_DIR=$i
        AC_MSG_RESULT(found in $i)
      fi
    done
  fi
  
  if test -z "$LCRZO_DIR"; then
    AC_MSG_RESULT([not found])
    AC_MSG_ERROR([Please reinstall the lcrzo distribution])
  fi

  dnl # --with-netools -> add include path
  PHP_ADD_INCLUDE($LCRZO_DIR/include)

LIBNAME=pcap
LIBSYMBOL=pcap_next

PHP_CHECK_LIBRARY($LIBNAME, $LIBSYMBOL,
[
  PHP_ADD_LIBRARY(pcap,,NETOOLS_SHARED_LIBADD)
  AC_DEFINE(HAVE_PCAPLIB, 1, [ ])
],[
  AC_MSG_ERROR([wrong pcap lib version or lib not found])
],[
  -lpcap -lm -ldl
])

LIBNAME=lcrzo
LIBSYMBOL=lcrzo_init

PHP_CHECK_LIBRARY($LIBNAME, $LIBSYMBOL,
[
  PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $LCRZO_DIR/lib, NETOOLS_SHARED_LIBADD)
  AC_DEFINE(HAVE_LCRZOLIB, 1, [ ])
],[
  AC_MSG_ERROR([wrong lcrzo lib version or lib not found])
],[
  -L$LCRZO_DIR/lib -lpcap -lm -ldl
])

LIBNAME=pcap
LIBSYMBOL=pcap_next

  
  PHP_SUBST(NETOOLS_SHARED_LIBADD)

  PHP_NEW_EXTENSION(netools, netools.c, $ext_shared)
fi
