/*
  +----------------------------------------------------------------------+
  | PHP Version 4                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2002 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 2.02 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available at through the world-wide-web at                           |
  | http://www.php.net/license/2_02.txt.                                 |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: Tal Peer <tal@php.net>                                       |
  +----------------------------------------------------------------------+

  $Id: php_netools.h,v 1.1 2002/12/10 10:03:23 tal Exp $
*/

#ifndef PHP_NETOOLS_H
#define PHP_NETOOLS_H

extern zend_module_entry netools_module_entry;
#define phpext_netools_ptr &netools_module_entry

#ifdef PHP_WIN32
#define PHP_NETOOLS_API __declspec(dllexport)
#else
#define PHP_NETOOLS_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(netools);
PHP_MSHUTDOWN_FUNCTION(netools);
PHP_RINIT_FUNCTION(netools);
PHP_RSHUTDOWN_FUNCTION(netools);
PHP_MINFO_FUNCTION(netools);

PHP_FUNCTION(netools_device);
PHP_NAMED_FUNCTION(netools_device_get_mtu);
PHP_NAMED_FUNCTION(netools_device_get_hostname);
PHP_NAMED_FUNCTION(netools_device_get_ip);
PHP_NAMED_FUNCTION(netools_device_get_mask);
PHP_NAMED_FUNCTION(netools_device_get_mac);

/* 
  	Declare any global variables you may need between the BEGIN
	and END macros here:     

ZEND_BEGIN_MODULE_GLOBALS(netools)

ZEND_END_MODULE_GLOBALS(netools)
*/

/* In every utility function you add that needs to use variables 
   in php_netools_globals, call TSRM_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMLS_CC
   after the last function argument and declare your utility function
   with TSRMLS_DC after the last declared argument.  Always refer to
   the globals in your function as NETOOLS_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define NETOOLS_G(v) TSRMG(netools_globals_id, zend_netools_globals *, v)
#else
#define NETOOLS_G(v) (netools_globals.v)
#endif

#endif	/* PHP_NETOOLS_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
